Summary:       CD-ROM input and control library
Name:          libcdio
Version:       2.1.0
Release:       5%{?dist}
License:       GPLv3+
URL:           http://www.gnu.org/software/libcdio/
Source0:       http://ftp.gnu.org/gnu/libcdio/libcdio-%{version}.tar.bz2
Source2:       cdio_config.h

# fix CVE-2024-36600
# https://git.savannah.gnu.org/cgit/libcdio.git/commit/?id=7b346798a7f9afc1f1080914741eb24dad58803f
Patch0001:     0001-backport-for-cve-2024-36600.patch

Patch3000:     format-security.patch
Patch3001:     realpath-test-fix.patch
 
BuildRequires: gcc gcc-c++ pkgconfig ncurses-devel help2man gettext-devel chrpath make

%description
This library provides an interface for CD-ROM access. It can be used by applications that need
OS- and device-independent access to CD-ROM devices.

%package       devel
Summary:       Header files and libraries for %{name}
Requires:      %{name} = %{version}-%{release}

%description devel
This package contains header files and libraries for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
	--disable-vcd-info \
	--disable-dependency-tracking \
	--disable-cddb \
	--disable-static \
	--disable-rpath
%make_build

sed -i -e "s,%{version} .*$,%{version}\\\",g" include/cdio/version.h

%install
%make_install

%ifnarch aarch64
mv %{buildroot}%{_includedir}/cdio/cdio_config.h %{buildroot}%{_includedir}/cdio/cdio_config_`uname -i`.h
install -m 644 %{SOURCE2} %{buildroot}%{_includedir}/cdio
%endif

rm -f %{buildroot}%{_infodir}/dir
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

rm -rf examples
mkdir -p examples/C++
cp -a example/{*.c,README} examples
cp -a example/C++/{*.cpp,README} examples/C++

for i in cd-info iso-read iso-info cd-read cd-drive; do
	sed -i -e 's, version.*linux-gnu,,g' %{buildroot}%{_mandir}/man1/$i.1
	sed -i -e 's,lt-,,g;s,LT-,,g' %{buildroot}%{_mandir}/man1/$i.1
	touch -r src/$i.help2man %{buildroot}%{_mandir}/man1/$i.1
done

chrpath --delete %{buildroot}%{_bindir}/*
chrpath --delete %{buildroot}%{_libdir}/*.so.*

%check
%{__sed} -i -e "s,testiso9660\$(EXEEXT),,g" \
	    -e "s,testisocd\$(EXEEXT),,g" \
	    -e "s,check_paranoia.sh check_opts.sh, check_opts.sh,g" \
	    test/Makefile
%make_build check

%files
%license COPYING
%doc AUTHORS NEWS.md README README.libcdio THANKS TODO
%{_bindir}/*
%{_libdir}/*.so.*
%{_infodir}/*
%{_mandir}/man1/*

%files devel
%doc examples
%{_includedir}/cdio
%{_includedir}/cdio++
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Jun 18 2024 Yi Lin <nilusyi@tencent.com> - 2.1.0-5
- fix CVE-2024-36600

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 29 2022 Shuo Wang <abushwang@tencent.com> - 2.1.0-1
- initial build
